- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Files | Macros | Typedefs
LP and MIP Solvers
General Optimization Tools

## Detailed Description

This group contains LP and MIP solver interfaces for LEMON. Various LP solvers could be used in the same manner with this high-level interface.

The currently supported solvers are [14], [4], [3], [7], [25].

## Classes
class | CbcMip
| Interface for the CBC MIP solver. More...
class | ClpLp
| Interface for the CLP solver. More...
class | CplexBase
| Base interface for the CPLEX LP and MIP solver. More...
class | CplexLp
| Interface for the CPLEX LP solver. More...
class | CplexMip
| Interface for the CPLEX MIP solver. More...
class | GlpkBase
| Base interface for the GLPK LP and MIP solver. More...
class | GlpkLp
| Interface for the GLPK LP solver. More...
class | GlpkMip
| Interface for the GLPK MIP solver. More...
class | LpBase
| Common base class for LP and MIP solvers. More...
class | LpSolver
| Common base class for LP solvers. More...
class | MipSolver
| Common base class for MIP solvers. More...
class | LpSkeleton
| Skeleton class for an LP solver interface. More...
class | MipSkeleton
| Skeleton class for a MIP solver interface. More...
class | SoplexLp
| Interface for the SOPLEX solver. More...

## Files
file | cbc.h
| Header of the LEMON-CBC mip solver interface.
file | glpk.h
| Header of the LEMON-GLPK lp solver interface.
file | lp.h
| Defines a default LP solver.
file | lp_base.h
| The interface of the LP solver interface.

## Macros
#define | LEMON_DEFAULT_LP SOLVER
| The default LP solver identifier. More...
#define | LEMON_DEFAULT_MIP SOLVER
| The default MIP solver identifier. More...

## Typedefs
typedef GlpkLp | Lp
| The default LP solver. More...
typedef GlpkMip | Mip
| The default MIP solver. More...

## Macro Definition Documentation

#define LEMON_DEFAULT_LP SOLVER

The default LP solver identifier.

Currently, the possible values are `_LEMON_GLPK`, `LEMON__CPLEX`, `_LEMON_SOPLEX` or `LEMON__CLP`

#define LEMON_DEFAULT_MIP SOLVER

The default MIP solver identifier.

Currently, the possible values are `_LEMON_GLPK`, `LEMON__CPLEX` or `_LEMON_CBC`

## Typedef Documentation

typedef GlpkLp Lp

The default LP solver.

Currently, it is either `GlpkLp`, `CplexLp`, `SoplexLp` or `ClpLp`

typedef GlpkMip Mip

The default MIP solver.

Currently, it is either `GlpkMip`, `CplexMip` , `CbcMip`